using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;
using Sledgemapper.Entities;

namespace Sledgemapper.Api.Core.Entities
{
    [Index(nameof(CampaignName), nameof(OwnerId), IsUnique = true)]
    public class Campaign
    {
        public Guid CampaignId { get; set; }
        public string CampaignName { get; set; }

        public string OwnerId { get; set; }

        public User Owner { get; set; }

        public ICollection<User> InvitedUsers { get; set; }

        public ICollection<Map> Maps { get; set; }
    }
}
